Subject: Re: bug#63620: 30.0.50; [Feature Request] run hooks on sleep/wake

From: Eli Zaretskii <[email-masked]>
Date: Thu, 06 Feb 2025 18:06:19 +0200

> From: Ship Mints <[email-masked]>
> Date: Thu, 6 Feb 2025 10:42:02 -0500
> Cc: Eli Zaretskii <[email-masked]>, Andrew Cohen <[email-masked]>, [email-masked], 
> 	[email-masked]
> 
> macOS has an annoying feature that will wake the computer periodically to check shite like email and
> messages and then go back to sleep. I do not know if the notifications we're interested in are invoked by this
> default behavior. I've disabled mine to avoid burning the battery with the lid closed.

If the system wakes from sleep, it shouldn't matter to Emacs why it
wakes.  If it then goes back to sleep, the sleep handler will be
reinvoked; if it doesn't, it won't.

So I'm not sure we should worry about this.  If the user doesn't want
his/her system to be awoken by these conditions, he/she should
configure the system appropriately, like you did.